unit Prompt;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TfPrompt = class(TForm)
    Panel1: TPanel;
    BOK: TBitBtn;
    BCancel: TBitBtn;
    Panel2: TPanel;
    Label4: TLabel;
    Edit: TEdit;
    Label1: TLabel;
    procedure BOKClick(Sender: TObject);
    procedure BCancelClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure EditKeyPress(Sender: TObject; var Key: Char);
  private
    { Dclarations prives }
  public
    Chemin: string;   
    Titre: string;
  end;

var
  fPrompt: TfPrompt;

implementation

uses params, common;

{$R *.dfm}

procedure TfPrompt.BCancelClick(Sender: TObject);
begin
  Close;
end;

procedure TfPrompt.BOKClick(Sender: TObject);
begin
  Chemin := trim(edit.text)+'.txt';
  Close;
end;

procedure TfPrompt.EditKeyPress(Sender: TObject; var Key: Char);
begin
  if Key='/' then Key:= #0;
  if Key='\' then Key:= #0;
  if Key='?' then Key:= #0;

  if Key=' ' then begin
    if edit.SelStart < 1 then key := #0;
  end;

  if Key=#13 then begin
    Key:= #0;
    BOKClick(BOK);
  end;
end;

procedure TfPrompt.FormShow(Sender: TObject);
begin
  edit.Text := basename(chemin, '.txt');
  Chemin := '';
  self.Caption := titre;
  BCancel.Caption := GetLangItem('cancel');  
  label4.Caption := GetLangItem('filename');
  edit.SetFocus;
end;

end.
