unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, xmldom, XMLIntf, msxmldom, XMLDoc, StdCtrls,
  ComCtrls, ExtCtrls, ImgList,Contnrs, JPEG, StrUtils,
  common, UTListViewSortOnClick, Utemplate, Buttons, FileCtrl,
  RegTools, msxml;

type
  TForm1 = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    Panel2: TPanel;
    LProf: TListBox;
    Label1: TLabel;
    Label2: TLabel;
    LAttr: TListBox;
    Panel3: TPanel;
    LSkills: TListView;
    Label3: TLabel;
    ICO: TImageList;
    Panel4: TPanel;
    SkillImg: TImage;
    Panel5: TPanel;
    SkillDesc: TRichEdit;
    TabSheet2: TTabSheet;
    GroupBox1: TGroupBox;
    LFiles: TFileListBox;
    Panel20: TPanel;
    BFolder: TSpeedButton;
    EFolder: TEdit;
    Panel21: TPanel;
    Refresh: TSpeedButton;
    TN2: TImageList;
    TN: TImageList;
    Splitter2: TSplitter;
    AddFile: TSpeedButton;
    DeleteFile: TSpeedButton;
    RenameFile: TSpeedButton;
    PageControl2: TPageControl;
    TabSheet3: TTabSheet;
    TabSheet4: TTabSheet;
    BuildProfs: TLabel;
    Panel11: TPanel;
    Label4: TLabel;
    Label6: TLabel;
    BtnSave: TSpeedButton;
    Label7: TLabel;
    BQuitter: TSpeedButton;
    SKCode: TEdit;
    BCodeCancel: TButton;
    B01: TBitBtn;
    Panel16: TPanel;
    Panel17: TPanel;
    AVT: TPanel;
    Panel24: TPanel;
    A10: TPanel;
    AA10: TLabel;
    AV10: TPanel;
    Panel22: TPanel;
    UD10: TUpDown;
    A9: TPanel;
    AA9: TLabel;
    AV9: TPanel;
    Panel33: TPanel;
    UD9: TUpDown;
    A8: TPanel;
    AA8: TLabel;
    AV8: TPanel;
    Panel36: TPanel;
    UD8: TUpDown;
    A7: TPanel;
    AA7: TLabel;
    AV7: TPanel;
    Panel39: TPanel;
    UD7: TUpDown;
    A6: TPanel;
    AA6: TLabel;
    AV6: TPanel;
    Panel27: TPanel;
    UD6: TUpDown;
    Panel28: TPanel;
    A5: TPanel;
    AA5: TLabel;
    AV5: TPanel;
    Panel40: TPanel;
    UD5: TUpDown;
    A4: TPanel;
    AA4: TLabel;
    AV4: TPanel;
    Panel43: TPanel;
    UD4: TUpDown;
    A3: TPanel;
    AA3: TLabel;
    AV3: TPanel;
    Panel46: TPanel;
    UD3: TUpDown;
    A2: TPanel;
    AA2: TLabel;
    AV2: TPanel;
    Panel49: TPanel;
    UD2: TUpDown;
    A1: TPanel;
    AA1: TLabel;
    AV1: TPanel;
    Panel52: TPanel;
    UD1: TUpDown;
    Panel6: TPanel;
    Panel9: TPanel;
    SK8: TImage;
    SK7: TImage;
    SK6: TImage;
    SK5: TImage;
    SK4: TImage;
    SK3: TImage;
    SK2: TImage;
    SK1: TImage;
    Panel12: TPanel;
    Prof1: TImage;
    Prof2: TImage;
    Panel30: TPanel;
    SKTrash: TImage;
    Panel7: TPanel;
    Panel15: TPanel;
    SKTitre: TLabel;
    Panel8: TPanel;
    Panel23: TPanel;
    SKK1: TImage;
    SKP1: TLabel;
    Panel10: TPanel;
    SKK2: TImage;
    SKP2: TLabel;
    Panel13: TPanel;
    SKK3: TImage;
    SKP3: TLabel;
    Panel14: TPanel;
    SKK4: TImage;
    SKP4: TLabel;
    Panel26: TPanel;
    SK: TImage;
    SKText: TRichEdit;
    Panel29: TPanel;
    SKAttr: TLabel;
    SKSpell: TLabel;
    Panel25: TPanel;
    Label5: TLabel;
    GWBBCode: TMemo;
    Panel1: TPanel;
    Label8: TLabel;
    BBCode: TMemo;
    Panel18: TPanel;
    Splitter1: TSplitter;
    Panel19: TPanel;
    LAttrB: TListBox;
    LBSkills: TListView;
    procedure RemoveProfBarre;
    procedure FormCreate(Sender: TObject);
    procedure SKElite(Source:TObject);
    procedure ShowDetail(id: integer);
    procedure LProfClick(Sender: TObject);
    procedure LAttrClick(Sender: TObject);
    procedure AddSkill(ListAjout: TListItem; val: string);
    procedure MEFSkillDesc(obj: TRichEdit);
    procedure LSkillsChange(Sender: TObject; Item: TListItem;
      Change: TItemChange);
    procedure ChargeImage(Image : TImage; id: integer);
    procedure RefreshClick(Sender: TObject);
    procedure EFolderChange(Sender: TObject);
    procedure BFolderClick(Sender: TObject);
    procedure LFilesChange(Sender: TObject);
    procedure RAZAll;
    procedure RAZProfs;
    procedure RAZBarre;
    procedure RAZPickUp;
    procedure RAZAttrs;
    procedure RAZDetail;
    procedure ShowBuild;
    procedure MAJPickUp;
    procedure SKCodeChange(Sender: TObject);
    procedure ChargeProf(Image : TImage; Prof: string);
    procedure SK1MouseEnter(Sender: TObject);
    procedure SK1MouseLeave(Sender: TObject);
    procedure UD1Click(Sender: TObject; Button: TUDBtnType);
    procedure MAJAttribute(oNom:TLabel; oVal:TPanel;sNom,sAbbr:string );
    procedure MAJAttrValue(P1:TLabel; P2:TPanel;Abbr:string; Value:integer);
    procedure BCodeCancelClick(Sender: TObject);
    procedure GWMAJAttributes;
    procedure GWMAJSkills;
    procedure GWAddAttribute(P1:TLabel; P2:TPanel);
    procedure BtnSaveClick(Sender: TObject);
    procedure SKCodeCheck;
    procedure B01Click(Sender: TObject);
    procedure LAttrBClick(Sender: TObject);
    procedure SK1DragOver(Sender, Source: TObject; X, Y: Integer;
      State: TDragState; var Accept: Boolean);
    procedure SK1DragDrop(Sender, Source: TObject; X, Y: Integer);
    procedure SKRemove(id:integer);
    procedure SKTrashDragDrop(Sender, Source: TObject; X, Y: Integer);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure AddSkillListView(list: TListView; skill:IXMLDOMNode; TN:TImageList);
    procedure Prof2Click(Sender: TObject);
    procedure RAZAttr(AA:TLabel; AV:TPanel);
    procedure DeleteFileClick(Sender: TObject);
    procedure RenameFileClick(Sender: TObject);
    procedure AddFileClick(Sender: TObject);
    procedure LBSkillsChanging(Sender: TObject; Item: TListItem;
      Change: TItemChange; var AllowChange: Boolean);
    procedure BQuitterClick(Sender: TObject);
    procedure ChargeListe1(Sender: TObject);    
    procedure ChargeListe2(Sender: TObject);
  private
    { Dclarations prives }
    tri1 : TListViewSortOnClick; 
    tri2 : TListViewSortOnClick;
  public
    XMLParams: IXMLDOMDocument;
    { Dclarations publiques }
  end;

var
  Form1: TForm1;
  attr_default : string;
  select_folder : string; 
  save_build : string;
  del_file: string;
  currentfile : string;
  currentid : integer;
  currentcode : string;
  currentskillid: integer;
  currentselskillid: integer;
  GWTemplate: TTemplate;
  CodeEdit: boolean;
  RegForm : string;

implementation

uses
  params, pngimage, bindump, profs, prompt;


{$R *.dfm}

//---------------------------------------------------------------
procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  RegFormSaveCU(Form1, RegForm);
end;
//---------------------------------------------------------------
procedure TForm1.FormCreate(Sender: TObject);
var
  i: integer;
  items: IXMLDOMNodeList;
  path: string;
begin
  // init
  if not(FileExists(HomeDir+'params.xml')) then begin
    MsgError('params.xml is needed !', 'ERROR');
    Application.Terminate;
  end;
  try
    REGForm := 'software\Arnapou\GWBuildManager';
//    xmlparams := CoDOMDocument.Create;
    xmlparams := CoDOMFreeThreadedDocument.Create;
    xmlparams.async := false;
    xmlparams.load(HomeDir+'params.xml');
    //showmessage(str(xmlparams.xml));
    GWTemplate := TTemplate.Create;
//    GWTemplate.params := params;
    CodeEdit := True;
    RegFormLoadCU(Form1, RegForm);
    
    // reg load
    path := getdirslash(dirname(RegReadKeyLM('Software\ArenaNet\Guild Wars', 'Path')))+'Templates\Skills';
    if (path<>'') and directoryexists(path) then
      EFolder.Text := path
    else begin
      //MsgWarning(GetLangItem('reg_error'), '');
      EFolder.Text := homedir;
    end;


    // langages
    label1.Caption:= GetLangItem('professions');
    label2.Caption:= GetLangItem('attributes');
    Panel17.Caption:= GetLangItem('attributes');
    label3.Caption:= GetLangItem('skills');
    tabsheet1.Caption:= GetLangItem('skills');
    Panel19.Caption:= GetLangItem('skills');
    tabsheet2.Caption:= GetLangItem('show_build');
    LSkills.Columns[1].Caption:= GetLangItem('nom');
    LSkills.Columns[3].Caption:= GetLangItem('jeu');
    LBSkills.Columns[1].Caption:= GetLangItem('nom');
    LBSkills.Columns[3].Caption:= GetLangItem('jeu');
    GroupBox1.Caption:= GetLangItem('template');
    attr_default:= GetLangItem('x');
    select_folder:= GetLangItem('select_folder');
    del_file := GetLangItem('del_file');
    save_build :=GetLangItem('save_build');
    BtnSave.Caption :=GetLangItem('save');
    BCodeCancel.Caption :=GetLangItem('cancel');
    Self.Caption := Self.Caption+' ('+GetLangItem('vers_date')+')';

    // tri
    tri1 := TListViewSortOnClick.Create(LSkills, 0);
    tri2 := TListViewSortOnClick.Create(LBSkills, 0);
    // 0 : car la premire colonne sera trie sur l'image et non son contenu

    // divers
    Self.DoubleBuffered := true;

    RAZAll;

    // charge les listes
    items := GetProfessions;
    for i := 0 to items.length - 1 do
      LProf.Items.Add(Profession_Get_Nom(items[i]));
    LProf.Selected[0] := true;
    LProfClick(LProf);

    // folders
    If directoryexists(EFolder.Text) then begin
      LFiles.Directory := EFolder.Text;
      if lfiles.Count>0 then begin
        lfiles.Selected[0] := true;
        LFilesChange(LFiles);
      end;
    end;

  except
    MsgError('wrong params.xml or unattended error', 'ERROR');
    Application.Terminate;
  end;

end;
//---------------------------------------------------------------
procedure TForm1.LProfClick(Sender: TObject);
var
  prof: string;
  i: integer;     
  items: IXMLDOMNodeList;
begin
  LAttr.Clear;
  prof := LProf.Items[LProf.ItemIndex];
  items := GetAttributesByProfession(prof);
  for i := 0 to items.length - 1 do begin
    LAttr.Items.Add(Attribute_Get_Nom(items[i]));
  end;          
  LAttr.Items.Add(attr_default);
  LAttr.Selected[0] := true;
  LAttrClick(LAttr);
end;                        
//---------------------------------------------------------------
procedure TForm1.AddSkillListView(list: TListView; skill:IXMLDOMNode; TN:TImageList);
var
  ListAjout : TListItem;
begin
  ListAjout := list.Items.Add;
  ListAjout.Caption := Str(Skill_get_id(skill));
  AddSkill(ListAjout, Skill_get_name(skill));
  AddSkill(ListAjout, Skill_get_Type(skill));
  AddSkill(ListAjout, Skill_get_Chap(skill));
  AddSkill(ListAjout, Str(Skill_get_Adrenaline(skill)));
  AddSkill(ListAjout, Str(Skill_get_Energy(skill)));
  AddSkill(ListAjout, Str(Skill_get_Casting(skill)));
  AddSkill(ListAjout, Str(Skill_get_Recharge(skill)));
  AddSkill(ListAjout, Str(Skill_get_Eregen(skill)));
  ImageListAdd(TN,HomeDir+'img\'+Str(Skill_get_id(skill))+'.jpg');
  listajout.ImageIndex := TN.Count-1;
end;  
//---------------------------------------------------------------
procedure TForm1.ChargeListe1(Sender: TObject);
var
  attr,prof: string;
  i, k: integer;
  ListAjout : TListItem;
  ok : boolean;
  items : IXMLDOMNodeList;
  b:boolean;
begin

  ImageListAdd(TN,HomeDir+'img\rech40.png');
  ImageListAdd(TN,HomeDir+'img\adre40.png');
  ImageListAdd(TN,HomeDir+'img\cast40.png');
  ImageListAdd(TN,HomeDir+'img\ener40.png');
  ImageListAdd(TN,HomeDir+'img\eregen40.png');


  for k := 0 to LAttrB.Count - 1 do begin
  if LAttrB.Selected[k] then begin

    attr := GetAttributeAttrByNom(LAttrB.Items[k]);

    if attr<>'?' then begin
      prof := GetProfByAttr(attr);
      items := GetSkillsByProfAttr(prof, attr);
      for i := 0 to items.length - 1 do AddSkillListView(LBSkills, items[i], TN);
    end;

    if (prof='?') or (attr='?') then begin
      if prof1.Hint<>'?' then begin
        items := GetSkillsByProfAttr(prof1.Hint, attr);
        for i := 0 to items.length - 1 do AddSkillListView(LBSkills, items[i], TN);
      end;
      if prof2.Hint<>'?' then begin
        items := GetSkillsByProfAttr(prof2.Hint, attr);
        for i := 0 to items.length - 1 do AddSkillListView(LBSkills, items[i], TN);
      end;
    end;
    if attr='?' then AddSkillListView(LBSkills, GetSkillById(2), TN);

  end;
  end;    
  LBSkills.OnChanging := LBSkillsChanging;

end;
//---------------------------------------------------------------
procedure TForm1.LAttrBClick(Sender: TObject);
var
  thread: TThreadFunc;
begin                     
  LBSkills.OnChanging := nil;
  razdetail;

  LBSkills.Clear;
  TN.Clear;

  thread := TThreadFunc.Create(ChargeListe1);

  tri2.newColumnClickAZ(LBSkills, LBSkills.Columns[1]);

//  LBSkills.ItemIndex := -1;

end;        
//---------------------------------------------------------------
procedure TForm1.ChargeListe2(Sender: TObject);
var
  attr, prof, s: string;
  i: integer;
  ListAjout : TListItem;
  ok : boolean;
  icon : ticon;
  items : IXMLDOMNodeList;
begin                
  prof := '';
  ImageListAdd(TN2,HomeDir+'img\rech40.png');
  ImageListAdd(TN2,HomeDir+'img\adre40.png');
  ImageListAdd(TN2,HomeDir+'img\cast40.png');
  ImageListAdd(TN2,HomeDir+'img\ener40.png');
  ImageListAdd(TN2,HomeDir+'img\eregen40.png');

  items := getprofessions;
  for i := 0 to items.length - 1 do begin
    if Profession_get_nom(items[i])=LProf.Items[LProf.ItemIndex] then
      prof := Profession_get_Abbr(items[i]);
  end;
  attr := GetAttributeAttrByNom(LAttr.Items[LAttr.ItemIndex]);
  items := GetSkillsByProfAttr(prof, attr);
  if prof='?' then begin
    if (attr='kur') or (attr='lux') then begin
      items := GetSkillsByAttr(attr);
    end;
  end;
  for i := 0 to items.length - 1 do AddSkillListView(LSkills, items[i], TN2);
  SkillDesc.Text := '';
  SkillImg.Picture := nil;
end;
//---------------------------------------------------------------
procedure TForm1.LAttrClick(Sender: TObject);
var
  thread: TThreadFunc;
begin
  LSkills.Clear;
  TN2.Clear;
  thread := TThreadFunc.Create(ChargeListe2);
  tri1.newColumnClickAZ(LSkills, LSkills.Columns[1]);
end;
//---------------------------------------------------------------
procedure TForm1.LBSkillsChanging(Sender: TObject; Item: TListItem; Change: TItemChange; var AllowChange: Boolean);
begin
    if item<>nil then
      ShowDetail(getinteger(item.Caption));
end;
//---------------------------------------------------------------
procedure TForm1.MAJAttribute(oNom:TLabel; oVal:TPanel;sNom,sAbbr:string );
begin
  oNom.Caption:= sNom;
  oNom.Hint := sAbbr;
  LAttrB.AddItem(sNom, nil);
  if oVal.Caption='' then oVal.Caption := '0';
end;
//---------------------------------------------------------------
procedure TForm1.ShowBuild;
var
  i, k, l:integer;
  items : IXMLDOMNodeList;
  s:string;
begin
    RAZall;
    GWTemplate.code := skcode.Text;
    GWTemplate.Analyse;
    if Not(GWTemplate.codeOK) then begin
      BuildProfs.Visible := true;
      panel6.Visible := false;
      exit;
    end else begin
      panel6.Visible := true;
      BuildProfs.Visible := false;
    end;

    // barre de skills
    for I := 0 to GWTEmplate.SkillsID.Count - 1 do begin
      case i of
        0: ChargeImage(SK1, GWTemplate.SkillsID.Items[i]);
        1: ChargeImage(SK2, GWTemplate.SkillsID.Items[i]);
        2: ChargeImage(SK3, GWTemplate.SkillsID.Items[i]);
        3: ChargeImage(SK4, GWTemplate.SkillsID.Items[i]);
        4: ChargeImage(SK5, GWTemplate.SkillsID.Items[i]);
        5: ChargeImage(SK6, GWTemplate.SkillsID.Items[i]);
        6: ChargeImage(SK7, GWTemplate.SkillsID.Items[i]);
        7: ChargeImage(SK8, GWTemplate.SkillsID.Items[i]);
      end;
    end;
    // profs
    if GWTemplate.Prof1 <> GWTemplate.Prof2 then begin
      ChargeProf(Prof1, GWTemplate.Prof1);
      ChargeProf(Prof2, GWTemplate.Prof2);
    end else begin
      ChargeProf(Prof1, GWTemplate.Prof1);
      ChargeProf(Prof2, '?');
    end;
    MAJPickUp;
    for I := 0 to GWTEmplate.Attributes.Count - 1 do begin
      MAJAttrValue(AA1, AV1, GWTemplate.Attributes[i], GWTemplate.AttributesValue[i]);
      MAJAttrValue(AA2, AV2, GWTemplate.Attributes[i], GWTemplate.AttributesValue[i]);
      MAJAttrValue(AA3, AV3, GWTemplate.Attributes[i], GWTemplate.AttributesValue[i]);
      MAJAttrValue(AA4, AV4, GWTemplate.Attributes[i], GWTemplate.AttributesValue[i]);
      MAJAttrValue(AA5, AV5, GWTemplate.Attributes[i], GWTemplate.AttributesValue[i]);
      MAJAttrValue(AA6, AV6, GWTemplate.Attributes[i], GWTemplate.AttributesValue[i]);
      MAJAttrValue(AA7, AV7, GWTemplate.Attributes[i], GWTemplate.AttributesValue[i]);
      MAJAttrValue(AA8, AV8, GWTemplate.Attributes[i], GWTemplate.AttributesValue[i]);
      MAJAttrValue(AA9, AV9, GWTemplate.Attributes[i], GWTemplate.AttributesValue[i]);
      MAJAttrValue(AA10, AV10, GWTemplate.Attributes[i], GWTemplate.AttributesValue[i]);
    end;


  GWBBCode.Text := GWTemplate.GWBBCode;  
  BBCode.Text := GWTemplate.BBCode;
end;                               
//---------------------------------------------------------------
procedure TForm1.RAZAttr(AA:TLabel; AV:TPanel);
begin
  AA.hint := '';
  AA.caption := '';
  AV.caption := '';
end;
//---------------------------------------------------------------
procedure TForm1.MAJPickUp;
var
  i, k, l:integer;
  items : IXMLDOMNodeList;
  s:string;
begin
    // attributes
    if GWTemplate.Prof1<>'?' then begin
      items := GetAttributesByProf(GWTemplate.Prof1);
      k:= 1; l:= 1;
      for I := 0 to items.length - 1 do begin
        case k of
          1: MAJAttribute(AA1, AV1, attribute_get_Nom(items[i]), attribute_get_Abbr(items[i]));
          2: MAJAttribute(AA2, AV2, attribute_get_Nom(items[i]), attribute_get_Abbr(items[i]));
          3: MAJAttribute(AA3, AV3, attribute_get_Nom(items[i]), attribute_get_Abbr(items[i]));
          4: MAJAttribute(AA4, AV4, attribute_get_Nom(items[i]), attribute_get_Abbr(items[i]));
          5: MAJAttribute(AA5, AV5, attribute_get_Nom(items[i]), attribute_get_Abbr(items[i]));
        end;
        k:= k + 1;
      end;
    end;
    for I := k to 5 do begin
      case i of
        1: RAZAttr(AA1, AV1);
        2: RAZAttr(AA2, AV2);
        3: RAZAttr(AA3, AV3);
        4: RAZAttr(AA4, AV4);
        5: RAZAttr(AA5, AV5);
      end;
    end;
    if GWTemplate.Prof2<>'?' then begin
      items := GetAttributesByProf(GWTemplate.Prof2);
      for I := 0 to items.length - 1 do begin
        case l of
          1: MAJAttribute(AA6, AV6, attribute_get_Nom(items[i]), attribute_get_Abbr(items[i]));
          2: MAJAttribute(AA7, AV7, attribute_get_Nom(items[i]), attribute_get_Abbr(items[i]));
          3: MAJAttribute(AA8, AV8, attribute_get_Nom(items[i]), attribute_get_Abbr(items[i]));
          4: MAJAttribute(AA9, AV9, attribute_get_Nom(items[i]), attribute_get_Abbr(items[i]));
          5: MAJAttribute(AA10, AV10, attribute_get_Nom(items[i]), attribute_get_Abbr(items[i]));
        end;
        l:= l + 1;
      end;
    end; 
    for I := l to 5 do begin
      case i of
        1: RAZAttr(AA6, AV6);
        2: RAZAttr(AA7, AV7);
        3: RAZAttr(AA8, AV8);
        4: RAZAttr(AA9, AV9);
        5: RAZAttr(AA10, AV10);
      end;
    end;
    items := GetAttributesByProf('?');
    for I := 0 to items.length - 1 do begin
        LAttrB.AddItem(attribute_get_Nom(items[i]), nil);
    end;     
    LAttrB.AddItem(attr_default, nil);  
  if LAttrB.Count>0 then begin
    LAttrB.Selected[0] := True;
    LAttrBClick(LAttrb);
  end;
end;
//---------------------------------------------------------------
procedure TForm1.MAJAttrValue(P1:TLabel; P2:TPanel;Abbr:string; Value:integer);
var s, p: integer;
begin
  if (p1.Hint=Abbr) and (abbr<>'') then begin
    p := getinteger(p2.caption);
    case p of
      1: p:= 1;  2: p:= 3;  3: p:= 6;   4: p:= 10;  5: p:= 15;  6: p:= 21;
      7: p:= 28; 8: p:= 37; 9: p:= 48; 10: p:= 61; 11: p:= 77; 12: p:= 97;
    end;
    P2.Caption := Str(Value);
    case value of
      1: s:= 1;  2: s:= 3;  3: s:= 6;   4: s:= 10;  5: s:= 15;  6: s:= 21;
      7: s:= 28; 8: s:= 37; 9: s:= 48; 10: s:= 61; 11: s:= 77; 12: s:= 97;
    end;
    AVT.Caption := Str(GetInteger(AVT.Caption)-s+p);
  end;
end;       
//---------------------------------------------------------------
procedure TForm1.GWMAJSkills;
begin
  GWTemplate.SkillsID[0] := GetInteger(SK1.Hint);
  GWTemplate.SkillsID[1] := GetInteger(SK2.Hint);
  GWTemplate.SkillsID[2] := GetInteger(SK3.Hint);
  GWTemplate.SkillsID[3] := GetInteger(SK4.Hint);
  GWTemplate.SkillsID[4] := GetInteger(SK5.Hint);
  GWTemplate.SkillsID[5] := GetInteger(SK6.Hint);
  GWTemplate.SkillsID[6] := GetInteger(SK7.Hint);
  GWTemplate.SkillsID[7] := GetInteger(SK8.Hint);
  GWTemplate.MakeBuild;
  CodeEdit := False;
  skcode.readonly := true;
  SKCode.Text := GWTemplate.Code;
  GWBBCode.Text := GWTemplate.GWBBCode;  
  BBCode.Text := GWTemplate.BBCode;
end;
//---------------------------------------------------------------
procedure TForm1.GWMAJAttributes;
begin
  GWTemplate.Attributes.Clear;
  GWTemplate.AttributesValue.Clear;
  GWAddAttribute(AA1, AV1);
  GWAddAttribute(AA2, AV2);
  GWAddAttribute(AA3, AV3);
  GWAddAttribute(AA4, AV4);
  GWAddAttribute(AA5, AV5);
  GWAddAttribute(AA6, AV6);
  GWAddAttribute(AA7, AV7);
  GWAddAttribute(AA8, AV8);
  GWAddAttribute(AA9, AV9);
  GWAddAttribute(AA10, AV10);
  GWTemplate.MakeBuild;
  SKCode.Text := GWTemplate.Code;
  GWBBCode.Text := GWTemplate.GWBBCode;    
  BBCode.Text := GWTemplate.BBCode;
end;   
//---------------------------------------------------------------
procedure TForm1.GWAddAttribute(P1:TLabel; P2:TPanel);
var v:integer;
begin
  v := GetInteger(P2.Caption);
  if v>0 then begin
    GWTemplate.Attributes.Add(P1.Hint);
    GWTemplate.AttributesValue.Add(v);
  end;
end;
//---------------------------------------------------------------
procedure TForm1.LFilesChange(Sender: TObject);
var
  i: integer;
begin
  RAZAll;
  currentfile := '';
  SKText.Text := '';
  for i := 0 to lfiles.Count - 1 do begin
    if lfiles.Selected[i] then
      currentfile := GetDirSlash(Efolder.text)+LFiles.Items[i];
  end;
  if fileexists(currentfile) then begin
    CodeEdit := true;   
    skcode.ReadOnly := true;
    skcode.Text := '';
    skcode.ReadOnly := false;
    skcode.Text := getFileContent(currentfile);
    currentcode := skcode.Text;
  end;
end;
//---------------------------------------------------------------
procedure TForm1.AddSkill(ListAjout: TListItem; val: string);
begin
  if val = '0' then
    ListAjout.subitems.add('')
  else
    ListAjout.subitems.add(val);
end;
//---------------------------------------------------------------
procedure TForm1.MEFSkillDesc(obj: TRichEdit);
var
  i, d, f, n: integer;
  text : string;
begin
  text := obj.Text;
  n := length(text);
  obj.SelStart := 0;
  obj.SelLength := n;
  obj.SelAttributes.Color := clBlack;
  i := 1;
  while i > 0 do begin
    i := PosEx('..', text, i);
    if i>0 then begin
      d := i-1;
      while (d>1) and (text[d] in ['1','2','3','4','5','6','7','8','9','0','-','+']) do
        d := d - 1;
      f := i+2;
      while (f<n) and (text[f] in ['1','2','3','4','5','6','7','8','9','0']) do
        f := f + 1;
      f:= f-1;
      obj.SelStart := d;
      obj.SelLength := f - d;
      obj.SelAttributes.Style := [fsBold];
      obj.SelAttributes.Color := clGreen;
      i := f;
    end;
  end;
end;   
//---------------------------------------------------------------
procedure TForm1.Prof2Click(Sender: TObject);
var
  p1, p2 :string;
begin
  fProfs.showmodal;
  if fprofs.ProfOk  then begin
    p1 := prof1.Hint;
    p2 := prof2.Hint;
    if Prof1.Hint='?' then
      ChargeProf(Prof1, fProfs.Prof)
    else
      if (fProfs.Prof='?') and (sender=prof1) then begin
        ChargeProf(Prof1, prof2.Hint);
        ChargeProf(Prof2, '?');
      end else
        ChargeProf(TImage(Sender), fProfs.Prof);
    if Prof1.Hint = Prof2.Hint then ChargeProf(Prof2, '?');
    if prof1.Hint<>p1 then begin
      MAJAttrValue(AA1, AV1, AA1.Hint, 0);
      MAJAttrValue(AA2, AV2, AA2.Hint, 0);
      MAJAttrValue(AA3, AV3, AA3.Hint, 0);
      MAJAttrValue(AA4, AV4, AA4.Hint, 0);
      MAJAttrValue(AA5, AV5, AA5.Hint, 0);
    end;
    if prof2.Hint<>p2 then begin
      MAJAttrValue(AA6, AV6, AA6.Hint, 0);
      MAJAttrValue(AA7, AV7, AA7.Hint, 0);
      MAJAttrValue(AA8, AV8, AA8.Hint, 0);
      MAJAttrValue(AA9, AV9, AA9.Hint, 0);
      MAJAttrValue(AA10, AV10, AA10.Hint, 0);
    end;
    if (prof1.Hint<>p1) or (prof2.Hint<>p2) then begin
      RemoveProfBarre;
      skcode.readonly := true;
      codeedit:= false;
      gwtemplate.setProf(prof1.Hint, prof2.Hint);
      GWMAJAttributes;  
      GWMAJSkills;
      RAZpickup;
      MAJPickUp;
    end;
  end;
end;    
//---------------------------------------------------------------
procedure TForm1.RemoveProfBarre;
var
  skill: ixmldomnode;
  p: string;
begin
  skill:= getskillbyid(getinteger(sk1.Hint)); p:=skill_get_prof(skill);
  if (skill<>nil) and (p<>Prof1.Hint) and (p<>Prof2.Hint) and (p<>'?') then Chargeimage(sk1, 0);
  skill:= getskillbyid(getinteger(sk2.Hint)); p:=skill_get_prof(skill);
  if (skill<>nil) and (p<>Prof1.Hint) and (p<>Prof2.Hint) and (p<>'?') then Chargeimage(sk2, 0);
  skill:= getskillbyid(getinteger(sk3.Hint)); p:=skill_get_prof(skill);
  if (skill<>nil) and (p<>Prof1.Hint) and (p<>Prof2.Hint) and (p<>'?') then Chargeimage(sk3, 0);
  skill:= getskillbyid(getinteger(sk4.Hint)); p:=skill_get_prof(skill);
  if (skill<>nil) and (p<>Prof1.Hint) and (p<>Prof2.Hint) and (p<>'?') then Chargeimage(sk4, 0);
  skill:= getskillbyid(getinteger(sk5.Hint)); p:=skill_get_prof(skill);
  if (skill<>nil) and (p<>Prof1.Hint) and (p<>Prof2.Hint) and (p<>'?') then Chargeimage(sk5, 0);
  skill:= getskillbyid(getinteger(sk6.Hint)); p:=skill_get_prof(skill);
  if (skill<>nil) and (p<>Prof1.Hint) and (p<>Prof2.Hint) and (p<>'?') then Chargeimage(sk6, 0);
  skill:= getskillbyid(getinteger(sk7.Hint)); p:=skill_get_prof(skill);
  if (skill<>nil) and (p<>Prof1.Hint) and (p<>Prof2.Hint) and (p<>'?') then Chargeimage(sk7, 0);
  skill:= getskillbyid(getinteger(sk8.Hint)); p:=skill_get_prof(skill);
  if (skill<>nil) and (p<>Prof1.Hint) and (p<>Prof2.Hint) and (p<>'?') then Chargeimage(sk8, 0);
end;
//---------------------------------------------------------------
procedure TForm1.RefreshClick(Sender: TObject);
var
  i, found: integer;
  saved_file: string;
begin
  found := -1;
  saved_file := basename(currentfile);
  FileListRefresh(LFiles);
  for i := 0 to lfiles.Count - 1 do begin
    if lfiles.Items[i]=saved_file then begin
      lfiles.Selected[i] := true;
      LFilesChange(LFiles);
      found := i;
      break;
    end;
  end;
  if found<0 then begin
    razall;    
    if lfiles.Count>0 then begin
      lfiles.Selected[0] := true;
      LFilesChange(LFiles);
    end;
  end;
end;
//---------------------------------------------------------------
procedure TForm1.RAZAll;
begin
  RAZProfs;
  RAZBarre;
  RAZPickUp;
  RAZAttrs;
  RAZDetail;
end;
//---------------------------------------------------------------
procedure TForm1.RAZBarre;
begin
  ChargeImage(SK1, 0);
  ChargeImage(SK2, 0);
  ChargeImage(SK3, 0);
  ChargeImage(SK4, 0);
  ChargeImage(SK5, 0);
  ChargeImage(SK6, 0);
  ChargeImage(SK7, 0);
  ChargeImage(SK8, 0);
end;
//---------------------------------------------------------------
procedure TForm1.RAZProfs;
begin                  
  ChargeProf(Prof1, '?');
  ChargeProf(Prof2, '?');
end;
//---------------------------------------------------------------
procedure TForm1.RAZPickUp;
begin
  LAttrB.Clear;
  TN.Clear;
  LBskills.Clear;
end;
//---------------------------------------------------------------
procedure TForm1.RAZAttrs;
begin
  AVT.Caption := '200';
  AV1.Caption := '';  UD1.Position := 5000;  AA1.Caption := '';  AA1.Hint := '';
  AV2.Caption := '';  UD2.Position := 5000;  AA2.Caption := '';  AA2.Hint := '';
  AV3.Caption := '';  UD3.Position := 5000;  AA3.Caption := '';  AA3.Hint := '';
  AV4.Caption := '';  UD4.Position := 5000;  AA4.Caption := '';  AA4.Hint := '';
  AV5.Caption := '';  UD5.Position := 5000;  AA5.Caption := '';  AA5.Hint := '';
  AV6.Caption := '';  UD6.Position := 5000;  AA6.Caption := '';  AA6.Hint := '';
  AV7.Caption := '';  UD7.Position := 5000;  AA7.Caption := '';  AA7.Hint := '';
  AV8.Caption := '';  UD8.Position := 5000;  AA8.Caption := '';  AA8.Hint := '';
  AV9.Caption := '';  UD9.Position := 5000;  AA9.Caption := '';  AA9.Hint := '';
  AV10.Caption := ''; UD10.Position := 5000; AA10.Caption := ''; AA10.Hint := '';
end;
//---------------------------------------------------------------
procedure TForm1.RAZDetail;
begin
  SK.Picture := nil;
  SKAttr.Caption := '';
  SKSpell.Caption := '';
  SKK1.Picture := nil;
  SKP1.Caption := '';
  SKK2.Picture := nil;
  SKP2.Caption := '';
  SKK3.Picture := nil;
  SKP3.Caption := '';
  SKK4.Picture := nil;
  SKP4.Caption := '';  
  SKText.Text := '';
  SKTitre.Caption := '';
  Panel7.Caption := '';
  currentid := 0;
end;
//---------------------------------------------------------------
procedure TForm1.SK1DragDrop(Sender, Source: TObject; X, Y: Integer);
var
  img : TImage;
  list : TListView;
  id, i : integer;
  fromImage : boolean; 
  skill : IXMLDOMNode;
begin
  fromImage := False;
  img := Timage(Sender);
  if (source = LBSkills) and (sender.ClassName='TImage') then begin
    list := TListView(Source);
      if list.ItemIndex>=0 then begin
        CodeEdit:= False;
        id := GetInteger(list.Items[list.ItemIndex].Caption);
        SKRemove(id);
        skill := GetSkillById(id);
        if (skill<>nil) and (skill_get_Elite(skill)>0) then SKElite(img);
        ChargeImage(img, id);
        GWMAJSkills;
      end;
  end
  else if source=SK1 then fromImage := True
  else if source=SK2 then fromImage := True
  else if source=SK3 then fromImage := True
  else if source=SK4 then fromImage := True
  else if source=SK5 then fromImage := True
  else if source=SK6 then fromImage := True
  else if source=SK7 then fromImage := True
  else if source=SK8 then fromImage := True;
  if fromImage and (source<>sender) then begin
    if sender.ClassName='TImage' then begin
      id := GetInteger(TImage(source).Hint);
      ChargeImage(TImage(source), GetInteger(img.Hint));
      ChargeImage(img, id);
    end else begin         
      ChargeImage(TImage(source), 0);
    end;
    GWMAJSkills;
  end;
end;
//---------------------------------------------------------------
procedure TForm1.SKElite(Source:TObject);
var
  img: TImage;
  skill : IXMLDOMNode;
begin
  img := nil;
  skill := GetSkillById(GetInteger(SK1.Hint));
  if (skill<>nil) and (skill_get_Elite(skill)>0) then img := SK1;
  skill := GetSkillById(GetInteger(SK2.Hint));
  if (skill<>nil) and (skill_get_Elite(skill)>0) then img := SK2;
  skill := GetSkillById(GetInteger(SK3.Hint));
  if (skill<>nil) and (skill_get_Elite(skill)>0) then img := SK3;
  skill := GetSkillById(GetInteger(SK4.Hint));
  if (skill<>nil) and (skill_get_Elite(skill)>0) then img := SK4;
  skill := GetSkillById(GetInteger(SK5.Hint));
  if (skill<>nil) and (skill_get_Elite(skill)>0) then img := SK5;
  skill := GetSkillById(GetInteger(SK6.Hint));
  if (skill<>nil) and (skill_get_Elite(skill)>0) then img := SK6;
  skill := GetSkillById(GetInteger(SK7.Hint));
  if (skill<>nil) and (skill_get_Elite(skill)>0) then img := SK7;
  skill := GetSkillById(GetInteger(SK8.Hint));
  if (skill<>nil) and (skill_get_Elite(skill)>0) then img := SK8;
  if img<>nil then ChargeImage(img, 0);
end;
//---------------------------------------------------------------
procedure TForm1.SKRemove(id:integer);
var
  img: TImage;
begin
  img := nil;
  if SK1.Hint=Str(id) then img := SK1;
  if SK2.Hint=Str(id) then img := SK2;
  if SK3.Hint=Str(id) then img := SK3;
  if SK4.Hint=Str(id) then img := SK4;
  if SK5.Hint=Str(id) then img := SK5;
  if SK6.Hint=Str(id) then img := SK6;
  if SK7.Hint=Str(id) then img := SK7;
  if SK8.Hint=Str(id) then img := SK8;
  if img<>nil then ChargeImage(img, 0);
end; 
//---------------------------------------------------------------
procedure TForm1.SKTrashDragDrop(Sender, Source: TObject; X, Y: Integer);
var
  img: TImage;
begin
  img := nil;
  if SK1=Source then img := SK1;
  if SK2=Source then img := SK2;
  if SK3=Source then img := SK3;
  if SK4=Source then img := SK4;
  if SK5=Source then img := SK5;
  if SK6=Source then img := SK6;
  if SK7=Source then img := SK7;
  if SK8=Source then img := SK8;
  if img<>nil then begin
    ChargeImage(img, 0);
    GWMAJSkills;
  end;
end;
//---------------------------------------------------------------
procedure TForm1.SK1DragOver(Sender, Source: TObject; X, Y: Integer;
  State: TDragState; var Accept: Boolean);
begin
  if sender=LBSkills then Accept:= True;
  if sender=SK1 then Accept:= True;
  if sender=SK2 then Accept:= True;
  if sender=SK3 then Accept:= True;
  if sender=SK4 then Accept:= True;
  if sender=SK5 then Accept:= True;
  if sender=SK6 then Accept:= True;
  if sender=SK7 then Accept:= True;
  if sender=SK8 then Accept:= True;
end;
//---------------------------------------------------------------
procedure TForm1.SK1MouseEnter(Sender: TObject);
begin
  ShowDetail(GetInteger(TImage(Sender).Hint));
end;      
//---------------------------------------------------------------
procedure TForm1.ShowDetail(id: integer);
var
  skill : IXMLDOMNode;
begin
  if id=0 then RAZdetail;
  if id<>currentid then begin
    RAZdetail;
    currentid := id;
    skill := GetSkillById(id);
    if skill<>nil then begin
      SKText.Text := skill_get_Desc(skill);
      SKTitre.Caption := skill_get_Name(skill);
      SKSpell.Caption := skill_get_Type(skill);
      SKAttr.Caption := skill_get_Attribute(skill);
      MEFSkillDesc(SKText);
      ChargeImage(SK, id);
      if skill_get_Adrenaline(skill)>0 then begin
        imageload(SKK1, HomeDir+'img\adre.png');
        SKP1.Caption := Str(skill_get_Adrenaline(skill));
      end else if skill_get_Energy(skill)>0 then begin
        imageload(SKK1, HomeDir+'img\ener.png');
        SKP1.Caption := Str(skill_get_Energy(skill));
      end;
      if skill_get_Casting(skill) > 0 then begin
        imageload(SKK2, HomeDir+'img\cast.png');
        SKP2.Caption := Str(skill_get_Casting(skill));
      end;
      if skill_get_Recharge(skill) > 0 then begin
        imageload(SKK3, HomeDir+'img\rech.png');
        SKP3.Caption := Str(skill_get_Recharge(skill));
      end;
      if skill_get_Eregen(skill) > 0 then begin
        imageload(SKK4, HomeDir+'img\eregen.png');
        SKP4.Caption := Str(skill_get_Eregen(skill));
      end;
    end;
  end;
end;
//---------------------------------------------------------------
procedure TForm1.SK1MouseLeave(Sender: TObject);
begin
  RAZdetail;
end;
//---------------------------------------------------------------
procedure TForm1.SKCodeCheck;
begin
  if CodeEdit then begin
    SKCode.Color:= clWindow;
    SKCode.ReadOnly := False;
    BCodeCancel.Enabled := false;
  end else begin  
    if SKCode.Text <> currentCode then begin
      SKCode.ReadOnly := True;
      SKCode.Color := clBtnFace;
      BCodeCancel.Enabled := true
    end else begin
      SKCode.Color:= clWindow;
      SKCode.ReadOnly := False;
      BCodeCancel.Enabled := false;
    end;
  end;
end;
//---------------------------------------------------------------
procedure TForm1.SKCodeChange(Sender: TObject);
begin
  SKCodeCheck;
  if Not(SKCode.ReadOnly) then ShowBuild;
end;
//---------------------------------------------------------------
procedure TForm1.UD1Click(Sender: TObject; Button: TUDBtnType);
var
  i, v1, v2, t, s: integer;
  v : string;
begin
  CodeEdit:= False;
  t := GetInteger(AVT.Caption);
  for i := 0 to TUpDOwn(Sender).Parent.Parent.ControlCount - 1 do begin
    if MidStr(TUpDOwn(Sender).Parent.Parent.Controls[i].Name, 1, 2)='AV' then begin
      v := TPanel(TUpDOwn(Sender).Parent.Parent.Controls[i]).caption;
      if v='' then exit;
      v1 := GetInteger(v);
      case Button of
        btNext: begin
          v2 := v1+1;
          if v2>12 then v2 := 12;
          case v2 of
            1: s:= 1; 2: s:= 2; 3: s:= 3;   4: s:= 4;   5: s:= 5;   6: s:= 6;
            7: s:= 7; 8: s:= 9; 9: s:= 11; 10: s:= 13; 11: s:= 16; 12: s:= 20;
          end;
          if (t>=s) and (v1<>v2) then begin
            AVT.Caption := Str(t - s);
            TPanel(TUpDOwn(Sender).Parent.Parent.Controls[i]).caption := Str(v2);
          end;
        end;
        btPrev: begin
          v2 := v1-1;
          if v2<0 then v2 := 0;
          case v1 of
            1: s:= 1; 2: s:= 2; 3: s:= 3;   4: s:= 4;   5: s:= 5;   6: s:= 6;
            7: s:= 7; 8: s:= 9; 9: s:= 11; 10: s:= 13; 11: s:= 16; 12: s:= 20;
          end;
          if (v1<>v2) then begin
            AVT.Caption := Str(t + s);
            TPanel(TUpDOwn(Sender).Parent.Parent.Controls[i]).caption := Str(v2);
          end;
        end;
      end;
      GWMAJAttributes;
    end;
  end;
end;
//---------------------------------------------------------------
procedure TForm1.LSkillsChange(Sender: TObject; Item: TListItem;  Change: TItemChange);
var
  id : integer;
  skill : IXMLDOMNode;
begin
  id := 0;
  if LSkills.itemIndex>=0 then begin
    id := StrToInt(LSkills.Items[LSkills.itemIndex].caption);
    currentselskillid := id;
    skill := GetSkillById(id);
    if skill<>nil then begin
      SkillDesc.Text := skill_get_desc(skill);
      MEFSkillDesc(SkillDesc);
    end;
  end;
  ChargeImage(SkillImg, id);
end;
//---------------------------------------------------------------
procedure TForm1.BCodeCancelClick(Sender: TObject);
begin
  SKCode.ReadOnly := False;
  CodeEdit := True;
  SKCode.Text := currentcode;
end;
//---------------------------------------------------------------
procedure TForm1.BFolderClick(Sender: TObject);
var
  sFolder: string;
begin
  sFolder := EFolder.Text;
  if SelectDirectory(select_folder, '', sFolder) then
    if sFolder <> '' then begin
      EFolder.Text := sFolder;
      currentfile := '';
      razall;
      if lfiles.Items.Count>0 then begin
        lfiles.Selected[0] := true;
        LFilesChange(LFiles);
      end;
    end;
end;  
//---------------------------------------------------------------
procedure TForm1.BQuitterClick(Sender: TObject);
begin
  Close;
end;
//---------------------------------------------------------------
procedure TForm1.B01Click(Sender: TObject);
begin
  fBinDump.gWtemplate:= gwtemplate;
  fBinDump.ShowModal;
end;
//---------------------------------------------------------------
procedure TForm1.BtnSaveClick(Sender: TObject);
begin
  if fileexists(currentfile) and MsgConfirm(save_build, '') then begin
    setFileContent(currentfile, skcode.Text);
    currentcode := skcode.Text; 
    SKCode.ReadOnly := False;
    SKCode.Color := clWindow;
    BCodecancel.Enabled := false;
  end;
end;
//---------------------------------------------------------------
procedure TForm1.ChargeProf(Image : TImage; Prof: string);
begin
  Image.Picture := nil;
  Image.Hint := Prof;
  if Prof='?' then Prof := 'X';
  if Prof='' then Prof := 'X';
  ImageLoad(Image, HomeDir+'img\'+Prof+'.png');
end;        
//---------------------------------------------------------------
procedure TForm1.AddFileClick(Sender: TObject);
var
  new : string;
  i: integer;
begin
    try
      fprompt.Titre:= GetLangItem('add_file');
      fprompt.Chemin := '';
      fPrompt.showmodal;
      if fPrompt.Chemin<>'' then begin
        new := GetDirSlash(Efolder.text)+fPrompt.Chemin;
        if fileexists(new) then begin
          msgerror(getlangitem('rename_error'), '');
        end else begin
          gwtemplate.Free;
          razall;
          gwtemplate := ttemplate.Create;
          gwtemplate.MakeBuild;
          setfilecontent(new, gwtemplate.Code);
          skcode.Text := gwtemplate.Code;
          FileListRefresh(LFiles);
          for i := 0 to lfiles.Count - 1 do begin
            if lfiles.Items[i]=fPrompt.Chemin then begin
              lfiles.Selected[i] := true;
              LFilesChange(LFiles);
              break;
            end;
          end;
        end;
      end;
    except
    end;
end;
//---------------------------------------------------------------
procedure TForm1.RenameFileClick(Sender: TObject);
var
  new : string;
  i: integer;
begin
  if fileexists(currentfile) then begin
    try                                    
      fprompt.Titre:= GetLangItem('rename');
      fprompt.Chemin := basename(currentfile);
      fPrompt.showmodal;
      if fPrompt.Chemin<>'' then begin
        new := GetDirSlash(Efolder.text)+fPrompt.Chemin;
        if fileexists(new) then begin
          msgerror(getlangitem('rename_error'), '');
        end else begin
          sysutils.RenameFile(currentfile, new);
          FileListRefresh(LFiles);
          for i := 0 to lfiles.Count - 1 do begin
            if lfiles.Items[i]=fPrompt.Chemin then begin
              lfiles.Selected[i] := true;
              LFilesChange(LFiles);
              break;
            end;
          end;
        end;
      end;
    except
    end;
  end;
end;
//---------------------------------------------------------------
procedure TForm1.DeleteFileClick(Sender: TObject);
begin
  if fileexists(currentfile) and MsgConfirm(del_file, '') then begin
    try
      sysutils.DeleteFile(currentfile);
      FileListRefresh(LFiles);
      if lfiles.Items.Count>0 then begin
        lfiles.Selected[0] := true;
        LFilesChange(LFiles);
      end;
    except
    end;
  end;
end;
//---------------------------------------------------------------
procedure TForm1.ChargeImage(Image : TImage; id: integer);
begin
  Image.Picture := nil;
  Image.Hint := Str(id);
  ImageLoad(Image, HomeDir+'img\'+Str(id)+'.jpg');
end;
//---------------------------------------------------------------
procedure TForm1.EFolderChange(Sender: TObject);
begin
  if ValidFolder(EFolder) then LFiles.Directory := EFolder.Text;
end;

end.
